<?php
namespace Claromentis\People\Validator;

$GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"] ?: array()) + array("_fa96cdf58bff3b0695fb2bc0" . "803d7b12" => base64_decode("IGRvZ" . "XMgbm" . "90IGV" . "4aXN0"), "_bd71c3b5c201" . "fc11db82ed14c" . "e424de5" => base64_decode("aW5fYXJy" . "YXk="), "_62d701c3c53404f06345" . "eb35720a47b4" => base64_decode("aXNfb" . "nVtZX" . "JpYw=" . "="), "_d013620d4b36b1d03509cbef" . "f31bbdb9" => base64_decode("IiBnaXZlbiBmb3Igbn" . "VtZXJpYyBmaWVsZCA="), "_a7fdbac2a6" . "d0ebb5bb8ea" . "569e8173d7b" => base64_decode("IiBmb3I" . "gZGF0ZS" . "BmaWVsZ" . "CA="), "_66a6b98e1f1601e30de10" . "feb344fcdb6" => base64_decode("SW52YWxpZCB2YWx1" . "ZSAi"), "_d155d43a39" . "de93f858123" . "c6b6ce31d8a" => base64_decode("cHJlZ19tYXRjaA" . "=="), "_535e3fcb3f5d89c52" . "5bb618a08cc8dcc" => base64_decode("LiBWYWx1ZSBtdXN0IGJlIGVpdGhlciBhIGRvY3VtZW50IElEIG9yIGEgZG" . "9jdW1lbnQgb2JqZWN0"), "_3aec16c1aa2104" . "da778e412207d6c" . "415" => base64_decode("L15cZH" . "sxNH18" . "XGR7OH" . "0kLw=="), "_2cb499b451eb718f841aaa78dc7" . "0cc52" => base64_decode("IiBmb3IgZG" . "F0ZS10aW1l" . "IGZpZWxkIA" . "=="), "_dc99f29eb97c274b4e47" . "f6701fb2d842" => base64_decode("TWV0YWRhdGEgZmllb" . "GQg"), "_27ba77e349cbe144e8794d0c0497a" . "106" => base64_decode("IiBnaXZlbiBmb3Igc2Vs" . "ZWN0IGZpZWxkIA=="), "_bb26699a673361ff7c1744" . "4a2a82deba" => base64_decode("SW52YWxpZCB2YWx1ZSB" . "naXZlbiBmb3IgZG9jdW" . "1lbnQgbGluayBmaWVsZ" . "CA="), "_4b4a03dbe69a4c39db014be2875a731" . "3" => base64_decode("Tm9uLW51bWVyaWM" . "gdmFsdWUgIg=="), "_a827c5bc10b88ccab7" . "60d95c58bfbeaa" => base64_decode("Q291bGQgbm9" . "0IHBhcnNlIH" . "ZhbHVlICI="), "_ac927f4168510971a5" . "9508f1f08cf98a" => base64_decode("L15cZHs" . "4fSQv"));
use Claromentis\People\Exception\ValidationException;
use Claromentis\People\Repository\UserRepository;
class MetadataValidator
{
    protected $user_repository;
    public function __construct(UserRepository $_eeeeb0d673b7b0fd0bdca58b5541c3e0)
    {
        $this->user_repository = $_eeeeb0d673b7b0fd0bdca58b5541c3e0;
    }
    
    
    
    
    
    
    
    public function Validate(int $_8bd60f167b34bb2f633dd93934749b67, array $values) : array
    {
        $_cd32cee6e5836ae05dc7b722f2ec21e9 = new \MetaDataSet($_8bd60f167b34bb2f633dd93934749b67);
        $_cd32cee6e5836ae05dc7b722f2ec21e9->LoadAllFields();
        $output = [];
        foreach ($values as $key => $value) {
            $field = $_cd32cee6e5836ae05dc7b722f2ec21e9->GetMetaFieldByName($key);
            if ($field === false) {
                throw new ValidationException($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_dc99f29eb97c274b4e47f6701fb" . "2d842"] . $key . $GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_fa96cdf58bff3b0695fb2bc0803d7b" . "12"]);
            }
            switch ($field->GetMetaType()) {
                case META_TYPE_TEXT:
                case META_TYPE_DEFAULT:
                    break;
                case META_TYPE_INT:
                    if (!$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_62d701c3c53404f0" . "6345eb35720a47b4"]($value)) {
                        throw new ValidationException($GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_4b4a03db" . "e69a4c39d" . "b014be287" . "5a7313"] . $value . $GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_d013620d4b36b1d03509cbeff" . "31bbdb9"] . $key);
                    }
                    break;
                case META_TYPE_DATETIME:
                    if (!$GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_d155d43a39de93f858123c6" . "b6ce31d8a"]($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_3aec16c1aa2104da778e" . "412207d6c415"], $value)) {
                        throw new ValidationException($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_a827c5bc1" . "0b88ccab76" . "0d95c58bfb" . "eaa"] . $value . $GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_2cb499b451eb718f841aaa78dc70c" . "c52"] . $key);
                    }
                    break;
                case META_TYPE_SELECT:
                    $field->values->Load();
                    $_4d67cdd33a7358d7cc3b5e51df410bbb = $field->values->GetAllValues();
                    if (!$GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_bd71c3b5c201fc11db82ed1" . "4ce424de5"]($value, $_4d67cdd33a7358d7cc3b5e51df410bbb)) {
                        throw new ValidationException($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_66a6b98e1f1601e3" . "0de10feb344fcdb6"] . $value . $GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_27ba77e" . "349cbe14" . "4e8794d0" . "c0497a10" . "6"] . $key);
                    }
                    break;
                case META_TYPE_CHECK:
                    break;
                case META_TYPE_DOCLINK:
                    if (!$GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_62d701c3c53404f06345eb35720a47" . "b4"]($value) && !$value instanceof \ERMSDocument && !$value instanceof \Claromentis\Core\Metadata\Type\DocumentObject) {
                        throw new ValidationException($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_bb26699a673361ff7c17444a2" . "a82deba"] . $key . $GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_535e3fcb3f5d89c" . "525bb618a08cc8dc" . "c"]);
                    }
                    break;
                case META_TYPE_LINK:
                    break;
                case META_TYPE_USER:
                    break;
                case META_TYPE_DATE:
                    if (!$GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_d155d43a39" . "de93f858123" . "c6b6ce31d8a"]($GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_ac927f4168510971a" . "59508f1f08cf98a"], $value)) {
                        throw new ValidationException($GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_a827c5bc10b88ccab760d95c58bfb" . "eaa"] . $value . $GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_a7fdbac2a" . "6d0ebb5bb8" . "ea569e8173" . "d7b"] . $key);
                    }
                    break;
                case META_TYPE_SPECIAL:
                    break;
                case META_TYPE_FILE:
                    break;
                case META_TYPE_ADDRESS:
                    break;
                case META_TYPE_MULTISELECT:
                    break;
                case META_TYPE_DATE_NO_YEAR:
                    break;
                case META_TYPE_IMAGE:
                    break;
            }
            $output[$key] = $value;
        }
    }
}